Bug 961653 - The error message is wrong when the vcpu count in xml is different with guest during migration
The error message is wrong when the vcpu count in xml is different with guest...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Peter Krempa
Virtualization Bugs
:
Depends On:
Blocks: 961655
  Show dependency treegraph
 
Reported: 2013-05-10 03:43 EDT by tingting zheng
Modified: 2014-06-17 20:50 EDT (History)
8 users (show)

See Also:
Fixed In Version: libvirt-1.0.6-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 961655 (view as bug list)
Environment:
Last Closed: 2014-06-13 06:32:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tingting zheng 2013-05-10 03:43:09 EDT
Description
The error message is wrong when the vcpu count in xml is different with guest during migration

Version:
libvirt-1.0.5-1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Prepare guest migration environment.
2.Install a guest and dumpxml for guest on one host.
# virsh dumpxml mig > mig.xml

3.Change vcpu count in mig.xml,eg:change 
  <vcpu placement='static'>1</vcpu>

to:
  <vcpu placement='static'>3</vcpu>


4.Do migration using mig.xml,there is a typo:vpu
# virsh migrate --live mig --xml mig.xml qemu+ssh://10.66.7.153/system
root@10.66.7.153's password: 
error: unsupported configuration: Target domain vpu count 3 does not match source 1

5.When max vcpu count in xml is different with guest,the error message also is wrong.
# virsh migrate --live mig --xml mig.xml qemu+ssh://10.66.7.153/system
root@10.66.7.153's password: 
error: unsupported configuration: Target domain vpu max 3 does not match source 2

Actual results:
As describes.

Expected results:
s/vpu/vcpu

Additional info:
Comment 1 Peter Krempa 2013-05-10 03:57:06 EDT
commit 353871b22a16efd792c604eb8755d4c3e20e1062
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Fri May 10 09:54:56 2013 +0200

    conf: Fix typo in error message in ABI stability check
    
    s/vpu/vCPU/

v1.0.5-123-g353871b
Comment 3 Xuesong Zhang 2013-06-05 07:27:28 EDT
verified in the latest libvirt version:
libvirt-1.0.6-1.el7.x86_64

steps:
1.Prepare guest migration environment.
2.Install a guest and dumpxml for guest on one host.
# virsh dumpxml mig > mig.xml

3.Change vcpu count in mig.xml,eg:change 
  <vcpu placement='static'>1</vcpu>

to:
  <vcpu placement='static'>3</vcpu>

4. virsh migrate --live mig --xml mig.xml qemu+ssh://10.66.83.195/system
error: unsupported configuration: Target domain vCPU max 3 does not match source 2

5. # virsh migrate --live mig --xml mig.xml qemu+ssh://10.66.83.195/system
error: unsupported configuration: Target domain vCPU count 2 does not match source 1

So, set the status as verify.
Comment 4 Ludek Smid 2014-06-13 06:32:22 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.